Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.client.debug
Class JsoInspector

    java.lang.Object
      com.google.gwt.core.client.debug.JsoInspector

    public class JsoInspector

extends java.lang.Object

This class provides an API for IDEs to inspect JavaScript objects and is not intended to be used in GWT applications. IDEs that allow custom value renderers for debugging can use it to box JavaScript objects into suitable Java types. TODO: provide a way to test whether a node has children (to be used as an optimization in IntelliJ). TODO: implement and return concrete JsoProperty subtypes (Integer, Float, etc.) to get more descriptive labels in IntelliJ.

Nested Class Summary
`static class` | `JsoInspector.JsoProperty` A simple Java object to hold a key and value pair.

Constructor Summary
`JsoInspector()`

Method Summary
`static java.lang.Object` | `convertToInspectableObject(java.lang.Object jso)` Wraps a JavaScript object into a suitable inspectable type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsoInspector

    public JsoInspector()

Method Detail

### convertToInspectableObject

    public static java.lang.Object convertToInspectableObject(java.lang.Object jso)

  Wraps a JavaScript object into a suitable inspectable type.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD